com.google.gwt.core.ext.typeinfo

## Class TypeOracleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.gwt.core.ext.typeinfo.TypeOracleException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BadTypeArgsException, NotFoundException, ParseException

    public class TypeOracleException
    extends java.lang.Exception

The superclass of exceptions thrown by `TypeOracle`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TypeOracleException()`
`TypeOracleException(java.lang.String message)`
`TypeOracleException(java.lang.String message, java.lang.Throwable cause)`
`TypeOracleException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypeOracleException

    public TypeOracleException()

#### TypeOracleException

    public TypeOracleException(java.lang.String message)

#### TypeOracleException

    public TypeOracleException(java.lang.String message,
                               java.lang.Throwable cause)

#### TypeOracleException

    public TypeOracleException(java.lang.Throwable cause)